#pragma once

#include "finder.h"
#include "word_list.h"

#include <map>

class GroupedFinder : public Finder {
private:
  std::map<char, WordRefList> groups_;

public:
  GroupedFinder(const WordList &word_list);

  virtual std::forward_list<const std::string *>
  find_prefix(std::string_view search_prefix) const override;
};
